#! /bin/bash

function createGTForMarkers(){
	
	genimage $1 134 out
	#sub $1 out out2
	sub out $1 out2
	inverse out2
	rm out
	convert out2 -fill black  -bordercolor white -draw 'color 30,20 filltoborder' out3.pgm
	rm out2
	mv out3.pgm  $2
}

for entry in * ; do
	if [ -d "$entry" ]; then
		echo "Processing "$entry
		# gen color and gray image files
   		fileC=$entry"/src_color/"$entry
		fileG=$entry"/src_bw/"$entry
		if [ -e "${fileC}.jpg" ]; then
			convert "${fileC}.jpg" "${fileC}.ppm"
		elif [ -e "${fileC}.JPG" ]; then
			convert "${fileC}.JPG" "${fileC}.ppm"
		else 
			convert "${fileC}.bmp" "${fileC}.ppm"
		fi
		rgb2hls "${fileC}.ppm" "/dev/null" "${fileG}.pgm" "/dev/null" 

		# gen bw image to generate the markers
		fileGT=$entry"/human_seg/"$entry
		convert "${fileGT}.bmp" "${fileGT}.pgm"
		convert "${fileGT}.pgm" -threshold 10% "${fileGT}_mark.pgm"
		#createGTForMarkers "${fileGT}.pgm" "${fileGT}_mark.pgm"
  	fi
done
